Create a gVault webhook
curl --request POST \
--url https://sandbox.groundtech.co/v2/gvaults/webhooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"events": [],
"description": "<string>"
}
'import requests
url = "https://sandbox.groundtech.co/v2/gvaults/webhooks"
payload = {
"url": "<string>",
"events": [],
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', events: [], description: '<string>'})
};
fetch('https://sandbox.groundtech.co/v2/gvaults/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "6b6a0502-9d38-4f94-83fe-06706adbdc51",
"url": "https://ops.acme.com/webhooks/ground-gvaults",
"events": [
"fee_wrapper.status_changed",
"fee_wrapper.fees.status_changed"
],
"secret": "4cfd6f64a0b5f9d6fd82f953db57f1c0f530f76513f93d41b495a321d797a6c0",
"createdAt": "2026-09-03T17:32:08.000Z"
}{
"error": "<string>",
"code": "validation_error"
}{
"error": "Unauthenticated request",
"message": "Missing or invalid bearer token"
}{
"error": "<string>",
"code": "validation_error"
}Webhooks
Create a gVault webhook
POST
/
v2
/
gvaults
/
webhooks
Create a gVault webhook
Register an HTTPS endpoint for gVault and fee-wrapper lifecycle events. Store
the returned signing secret securely; Ground returns it only once.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Webhook created; secret is returned once.
Available options:
gvault.allowlist.status_changed, fee_wrapper.status_changed, fee_wrapper.fees.status_changed, fee_wrapper.allowlist.status_changed Returned only when the webhook is created.